Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.space
Class Diffuse2dImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.space.Diffuse2dImpl

public class Diffuse2dImpl
extends BaseImpl
implements Ca2d, Ca2dS, Diffuse2dS, Diffuse2d

2d difussion with evaporation.. Discrete 2nd order approximation to 2d diffusion with evaporation. Math is done in integers on the range [0,0x7fff].

Constructor Summary
`Diffuse2dImpl()`
`Diffuse2dImpl(Zone aZone)` The create: message creates a new instance of a type with default options.
`Diffuse2dImpl(Zone aZone, int x, int y)` Convenience constructor for Discrete2d lattice
`Diffuse2dImpl(Zone aZone, int x, int y, double d, double e)` Convenience constructor for Diffuse2d

Methods implemented by this class for interface swarm.space.Ca2d
`stepRule`

Methods implemented by this class for interface swarm.space.Diffuse2dS
`setDiffusionConstant, setEvaporationRate`

Methods implemented by this class for interface swarm.space.Diffuse2d
`stepRule`

Methods implemented by this class for interface swarm.space.DblBuffer2d
`putObject$atX$Y, putValue$atX$Y, updateLattice`

Methods implemented by this class for interface swarm.space.Discrete2d
`copyDiscrete2d$toDiscrete2d, fastFillWithObject, fastFillWithValue, fillWithObject, fillWithValue, putObject$atX$Y, putValue$atX$Y, setDiscrete2d$toFile`

Methods implemented by this class for interface swarm.space.Discrete2dS
`setObjectFlag`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.space.GridData
`getObjectAtX$Y, getSizeX, getSizeY, getValueAtX$Y`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Diffuse2dImpl

    public Diffuse2dImpl()

### Diffuse2dImpl

    public Diffuse2dImpl(Zone aZone,
                         int x,
                         int y,
                         double d,
                         double e)

  Convenience constructor for Diffuse2d

### Diffuse2dImpl

    public Diffuse2dImpl(Zone aZone,
                         int x,
                         int y)

  Convenience constructor for Discrete2d lattice

### Diffuse2dImpl

    public Diffuse2dImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD